# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::CSS2CounterIncrement Class Reference

The `CSS2CounterIncrement` interface represents a imple value for the counter-increment CSS Level 2 property. More...

`#include <css_extensions.h>`

List of all members.

## Public Member Functions

| CSS2CounterIncrement (const CSS2CounterIncrement &other)
| CSS2CounterIncrement (CSS2CounterIncrementImpl *impl)
CSS2CounterIncrement & | operator= (const CSS2CounterIncrement &other)
DOM::DOMString | identifier () const
void | setIdentifier (const DOM::DOMString &)
short | increment () const
void | setIncrement (const short)

## Detailed Description

The `CSS2CounterIncrement` interface represents a imple value for the counter-increment CSS Level 2 property.

Definition at line 447 of file css_extensions.h.

## Member Function Documentation

DOMString CSS2CounterIncrement::identifier | ( |  | ) | const

| The element name. Definition at line 256 of file css_extensions.cpp.

void CSS2CounterIncrement::setIdentifier | ( | const DOM::DOMString & |  | ) |

see identifier

Exceptions:

  | DOMException | SYNTAX_ERR: Raised if the specified identifier has a syntax error and is unparsable.

NO_MODIFICATION_ALLOWED_ERR: Raised if this identifier is readonly.

Definition at line 262 of file css_extensions.cpp.

short CSS2CounterIncrement::increment | ( |  | ) | const

| The increment (default value is 1). Definition at line 267 of file css_extensions.cpp.

void DOM::CSS2CounterIncrement::setIncrement | ( | const | short | ) |

see increment

Exceptions:

  | DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if this identifier is readonly.

The documentation for this class was generated from the following files:

- css_extensions.h
- css_extensions.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:33 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003